#include <iostream>

using namespace std;

int main()
{
    int n, x, a, p=100000001, k=-100000001 ;
    cin >> n >> x ;
    for(int i=0; i<n; i++){
        cin >> a ;
        if(a>k){
            k=a ;
        }
        if(a<p){
            p=a ;
        }
    }
    if(p>=x){
        cout << k-x ;
    }
    else{
        if(k<=x){
            cout << x-p ;
        }
        else{
            cout << min(x-p,k-x)+k-p ;
        }
    }
    return 0;
}